> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reasons

> Gets available subscription action reasons for the given category. If no category is supplied will give available Cancel action reasons.



## OpenAPI

````yaml /openapi/openapi_subscription.json get /commerce/subscriptions/reasons
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SUBSCRIPTION">
                <h2>SUBSCRIPTIONS</h2>
                <p>The Subscription APIs are used to create and manage subscriptions in either an eCommerce+OMS implementation or a standalone 
                    Subscriptions solution. This includes updating items and quantities, subscription frequency, coupons, and performing actions 
                    on a subscription in addition to turning a subscription into an order. For more information, see the <a href="/pages/product-subscriptions">Subscriptions feature guide</a>.
                </p>
            </div>
  title: Subscriptions
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/subscriptions/reasons:
    get:
      tags:
        - Subscription
      summary: Get Reasons
      description: >-
        Gets available subscription action reasons for the given category. If no
        category is supplied will give available Cancel action reasons.
      parameters:
        - description: Action to get available reasons for. Defaults to CANCEL
          in: query
          name: category
          schema:
            default: CANCEL
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionReasonCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/SubscriptionReasonCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/SubscriptionReasonCollection'
          description: OK
components:
  schemas:
    SubscriptionReasonCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SubscriptionReasonOption'
          nullable: true
          type: array
        totalCount:
          format: int32
          type: integer
      type: object
    SubscriptionReasonOption:
      properties:
        name:
          nullable: true
          type: string
        needsMoreInfo:
          type: boolean
        reasonCode:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````